'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var lodash = require('lodash');
var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return n;
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

/* eslint @typescript-eslint/no-explicit-any: 0 */
var Lazy = function Lazy(thenable, name) {
  if (name === void 0) {
    name = 'default';
  }
  return React__namespace.lazy(function () {
    return thenable().then(function (mod) {
      return {
        "default": lodash.get(mod, name, 'ERROR EXPORT NOT FOUND')
      };
    });
  });
};

exports.default = Lazy;
//# sourceMappingURL=react-lazy-named.cjs.development.js.map
